| Home | Libraries | People | FAQ | More

#### buffer (2 of 28 overloads)

Create a new modifiable buffer from an existing buffer.

    mutable_buffers_1 buffer(
        const mutable_buffer & b,
        std::size_t max_size_in_bytes);

###### Return Value

A `mutable_buffers_1` value equivalent to:

    mutable_buffers_1(
        buffer_cast<void*>(b),
        min(buffer_size(b), max_size_in_bytes));